//---------------------------------------------------------------------------
#ifndef OVPreviewFrmH
#define OVPreviewFrmH
/**************************************************************
*                                                             *
*   (C) Oleg V. Paschenko, 2000                               *
*                                                             *
*   http://ovp.50megs.com       mailto: ovp@npi.tpu.ru        *
*                                                             *
***************************************************************/
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ActnList.hpp>
#include <ComCtrls.hpp>
#include <ImgList.hpp>
#include <ToolWin.hpp>
#include <Mask.hpp>
#include <Dialogs.hpp>

#include "OVPrinter.h"
#include "MemoFrm.h"
#include "MemoFRM.h"
//---------------------------------------------------------------------------
class TOVPreviewForm : public TMemoForm
{
__published:	// IDE-managed Components
   TImageList *ImageList;
   TToolBar *ToolBar;
   TActionList *ActionList;
   TAction *actFirstPage;
   TAction *actPrevPage;
   TAction *actNextPage;
   TAction *actLastPage;
   TToolButton *btnFirst;
   TToolButton *btnPrev;
   TToolButton *btnNext;
   TToolButton *btnLast;
   TStatusBar *StatusBar;
   TPageControl *Pages;
   TMaskEdit *edPage;
   TAction *actZoomWidth;
   TAction *actZoomPage;
   TToolButton *ToolButton1;
   TToolButton *btnZoomWidth;
   TToolButton *btnZoomHeight;
   TAction *actZoomHeight;
   TToolButton *btnZoomPage;
   TToolButton *btnZoom100;
   TAction *actZoom100;
   TAction *actZoomX;
   TToolButton *btnZoomX;
   TMaskEdit *edZoom;
   TAction *actEnd;
   TAction *actTop;
   TAction *actPrev;
   TAction *actNext;
   TAction *actPrint;
   TAction *actPrintWithDlg;
   TToolButton *ToolButton2;
   TToolButton *btnPrint;
   TToolButton *btnPrintWithDlg;
   TToolButton *ToolButton3;
   TAction *actOpen;
   TAction *actSave;
   TToolButton *ToolButton4;
   TToolButton *ToolButton5;
   TToolButton *ToolButton6;
   TOpenDialog *OpenDialog;
   TSaveDialog *SaveDialog;
   TToolButton *ToolButton7;
   TToolButton *ToolButton8;
   TToolButton *ToolButton9;
   TToolButton *ToolButton10;
   TAction *actCloseDoc;
   TAction *acCloseAllDocs;
   TAction *actClose;
   void __fastcall actFirstPageUpdate(TObject *Sender);
   void __fastcall actLastPageUpdate(TObject *Sender);
   void __fastcall actFirstPageExecute(TObject *Sender);
   void __fastcall actPrevPageExecute(TObject *Sender);
   void __fastcall actNextPageExecute(TObject *Sender);
   void __fastcall actLastPageExecute(TObject *Sender);
   void __fastcall edPageKeyPress(TObject *Sender, char &Key);
   void __fastcall PagesChange(TObject *Sender);
   void __fastcall actAPUpdate(TObject *Sender);
   void __fastcall actZoomWidthExecute(TObject *Sender);
   void __fastcall actZoomHeightExecute(TObject *Sender);
   void __fastcall actZoomPageExecute(TObject *Sender);
   void __fastcall actZoom100Execute(TObject *Sender);
   void __fastcall actZoomXExecute(TObject *Sender);
   void __fastcall actEndExecute(TObject *Sender);
   void __fastcall actTopExecute(TObject *Sender);
   void __fastcall actPrevExecute(TObject *Sender);
   void __fastcall actNextExecute(TObject *Sender);
   void __fastcall actPrintExecute(TObject *Sender);
   void __fastcall edZoomKeyPress(TObject *Sender, char &Key);
   void __fastcall actOpenExecute(TObject *Sender);
   void __fastcall actSaveExecute(TObject *Sender);
   void __fastcall actCloseExecute(TObject *Sender);
   void __fastcall actCloseDocExecute(TObject *Sender);
   void __fastcall acCloseAllDocsExecute(TObject *Sender);
   void __fastcall actCloseDocUpdate(TObject *Sender);
private:	// User declarations
   void __fastcall PreviewPrintoutChange(TObject * Sender);
   void __fastcall PreviewPageChange(TObject * Sender);
   void __fastcall PreviewZoomChange(TObject * Sender);
   TOVPreview * __fastcall ActivePreview();
public:		// User declarations
   __fastcall TOVPreviewForm(TComponent* Owner);
   void __fastcall AddDoc(TCustomOVPrintout * OVPrintout, bool TakeOwnership);
};
//---------------------------------------------------------------------------
extern PACKAGE TOVPreviewForm *OVPreviewForm;
//---------------------------------------------------------------------------
#endif
